# Wela

A package to analyse output from `aliby`.

`wela` uses the h5 files created by `aliby` to generate a dataframe and save this dataframe as a text file. 

With `wela`, you can use a Gaussian process to generate single-cell growth rates.

`wela` includes plotting routines for common tasks, such as kymographs and plotting single lineages for one ALCATRAS trap.

## Installing

Clone the gitlab repository and install with `poetry`.

## Getting started

There are example scripts in `wela/examples`.

First use

- `create_tsv.py` to generate a tsv (tab separated value) file of the data.

Then consult

- `plot_kymograph.py` to plot a kymograph
- `run_gr.py` to estimate single-cell growth rates.

