from wela.dataloader import dataloader
from wela.growth_rate import add_gr_from_pkl, find_all_grs

run_GP = True

# working directory where pkl and pdf files are saved
wdir = "/Users/pswain/wip/tsv_data"

# either tsv or h5 files
datasets = [
    "489_2022_11_17_Pdr5_fluc_00",
]


# 1. It is better to run dataloader first to generate a tsv file.
# Alternatively, to run directly on h5 files, add use_tsv=False.
# 2. First run with run_GP = True, multiprocess=False, and max_no_cells = 20
# to check visually the results.
# 3. Then run with max_no_cells=None and multiprocess=True for multiprocessing.
# The results are saved in a pkl file.
# No figures are produced unless multiprocess=False.
# Any figures are saved in a pdf file.
# 4. Finally run with run_GP = False.
# This load the pkl file and integrates into dataloader's data frame.
# The tsv file is re-written.

for dataname in datasets:
    if run_GP:
        # generate pkl files and pdf files for inspection
        # run first with max_no_cells=20 to check the results
        res_b, res_m = find_all_grs(
            dataname,
            max_no_cells=20,
            wdir=wdir,
            multiprocess=False,
            convert_to_hours=False,
            mother_bounds={1: (1, 6), 2: (-1, 4)},
        )
    else:
        # add pkl files to df
        dl = dataloader(wdir=wdir)
        dl.load(dataname, use_tsv=True)
        add_gr_from_pkl(dl, wdir)
        # add data to existing tsv file
        dl.save()
